| QxOrm 1.4.6 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Signals | Public Member Functions | Protected Member Functions | Protected Attributes | Friends
qx::service::QxTransaction Class Reference
QxService : QxOrm library services engine to provide easy and powerful way to create C++ application server (to transfer data over network)

qx::service::QxTransaction : transaction of QxService module (contains request from client and reply from server) More...

`#include <QxTransaction.h>`

Inheritance diagram for qx::service::QxTransaction:

List of all members.

## Public Types
enum | connection_status { conn_none, conn_keep_alive, conn_close }
## Signals
void | onCustomRequestHandler ()
## Public Member Functions
| QxTransaction ()
virtual | ~QxTransaction ()
virtual void | clear ()
QString | getTransactionId () const
quint32 | getInputTransactionSize () const
quint32 | getOutputTransactionSize () const
QDateTime | getTransactionBegin () const
QDateTime | getTransactionRequestSent () const
QDateTime | getTransactionRequestReceived () const
QDateTime | getTransactionReplySent () const
QDateTime | getTransactionReplyReceived () const
QDateTime | getTransactionEnd () const
QString | getIpSource () const
QString | getIpTarget () const
long | getPortSource () const
long | getPortTarget () const
QString | getServiceName () const
QString | getServiceMethod () const
qx_bool | getMessageReturn () const
IxParameter_ptr | getInputParameter () const
IxParameter_ptr | getOutputParameter () const
connection_status | getForceConnectionStatus () const
void | setTransactionId (const QString &s)
void | setInputTransactionSize (quint32 ui)
void | setOutputTransactionSize (quint32 ui)
void | setTransactionBegin (const QDateTime &dt)
void | setTransactionRequestSent (const QDateTime &dt)
void | setTransactionRequestReceived (const QDateTime &dt)
void | setTransactionReplySent (const QDateTime &dt)
void | setTransactionReplyReceived (const QDateTime &dt)
void | setTransactionEnd (const QDateTime &dt)
void | setIpSource (const QString &s)
void | setIpTarget (const QString &s)
void | setPortSource (long l)
void | setPortTarget (long l)
void | setServiceName (const QString &s)
void | setServiceMethod (const QString &s)
void | setMessageReturn (const qx_bool &b)
void | setInputParameter (IxParameter_ptr p)
void | setOutputParameter (IxParameter_ptr p)
void | setForceConnectionStatus (connection_status e)
virtual void | executeServer ()
virtual qx_bool | writeSocketServer (QTcpSocket &socket)
virtual qx_bool | readSocketServer (QTcpSocket &socket)
virtual void | executeClient (IxService *pService, const QString &sMethod)
virtual qx_bool | writeSocketClient (QTcpSocket &socket)
virtual qx_bool | readSocketClient (QTcpSocket &socket)
QString | getInfos () const
## Protected Member Functions
QSslSocket * | initSocketSSL ()
bool | checkSocketSSLEncrypted (QTcpSocket *socket)
## Protected Attributes
QString | m_sTransactionId
| Transaction id (GUID)
quint32 | m_uiInputTransactionSize
| Input transaction size.
quint32 | m_uiOutputTransactionSize
| Output transaction size.
QDateTime | m_dtTransactionBegin
| Date-time transaction begin.
QDateTime | m_dtTransactionRequestSent
| Date-time transaction request sent.
QDateTime | m_dtTransactionRequestReceived
| Date-time transaction request received.
QDateTime | m_dtTransactionReplySent
| Date-time transaction reply sent.
QDateTime | m_dtTransactionReplyReceived
| Date-time transaction reply received.
QDateTime | m_dtTransactionEnd
| Date-time transaction end.
QString | m_sIpSource
| Ip address source (request)
QString | m_sIpTarget
| Ip address target (reply)
long | m_lPortSource
| Port number source (request)
long | m_lPortTarget
| Port number target (reply)
QString | m_sServiceName
| Service name to create using 'QxFactory'.
QString | m_sServiceMethod
| Service method to call to execute transaction.
qx_bool | m_bMessageReturn
| Message return to indicate if an error occured.
IxParameter_ptr | m_pInputParameter
| List of input parameters (request)
IxParameter_ptr | m_pOutputParameter
| List of output parameters (reply)
IxService_ptr | m_pServiceInstance
| Service instance created by 'm_sServiceName' property.
connection_status | m_eForceConnectionStatus
| Sometimes we have to force connection status.
## Friends
struct | qx::cvt::detail::QxConvert_ToJson< qx::service::QxTransaction >
struct | qx::cvt::detail::QxConvert_FromJson< qx::service::QxTransaction >
QX_DLL_EXPORT QDataStream & | operator<< (QDataStream &stream, const qx::service::QxTransaction &t)
QX_DLL_EXPORT QDataStream & | operator>> (QDataStream &stream, qx::service::QxTransaction &t)
QX_DLL_EXPORT QJsonValue | qx::cvt::detail::QxConvert_ToJson_Helper (const qx::service::QxTransaction &t, const QString &format)
QX_DLL_EXPORT qx_bool | qx::cvt::detail::QxConvert_FromJson_Helper (const QJsonValue &j, qx::service::QxTransaction &t, const QString &format)

## Detailed Description

qx::service::QxTransaction : transaction of QxService module (contains request from client and reply from server)

Click here to access to a tutorial to explain how to work with QxService module.

Definition at line 112 of file QxTransaction.h.

## Member Enumeration Documentation

enum qx::service::QxTransaction::connection_status

Enumerator:

  conn_none |
  conn_keep_alive |
  conn_close |

Definition at line 130 of file QxTransaction.h.

## Constructor & Destructor Documentation

qx::service::QxTransaction::QxTransaction | ( |  | ) | `[inline]`

Definition at line 157 of file QxTransaction.h.

virtual qx::service::QxTransaction::~QxTransaction | ( |  | ) | `[inline, virtual]`

Definition at line 158 of file QxTransaction.h.

## Member Function Documentation

bool qx::service::QxTransaction::checkSocketSSLEncrypted | ( | QTcpSocket * | socket | ) | `[protected]`

virtual void qx::service::QxTransaction::clear | ( |  | ) | `[virtual]`

Reimplemented in qx::QxHttpTransaction.

virtual void qx::service::QxTransaction::executeClient | ( | IxService * | pService,
|  | const QString & | sMethod
| ) |  | `[virtual]`

virtual void qx::service::QxTransaction::executeServer | ( |  | ) | `[virtual]`

Reimplemented in qx::QxHttpTransaction.

connection_status qx::service::QxTransaction::getForceConnectionStatus | ( |  | ) | const`[inline]`

Definition at line 179 of file QxTransaction.h.

QString qx::service::QxTransaction::getInfos | ( |  | ) | const

IxParameter_ptr qx::service::QxTransaction::getInputParameter | ( |  | ) | const`[inline]`

Definition at line 177 of file QxTransaction.h.

quint32 qx::service::QxTransaction::getInputTransactionSize | ( |  | ) | const`[inline]`

Definition at line 162 of file QxTransaction.h.

QString qx::service::QxTransaction::getIpSource | ( |  | ) | const`[inline]`

Definition at line 170 of file QxTransaction.h.

QString qx::service::QxTransaction::getIpTarget | ( |  | ) | const`[inline]`

Definition at line 171 of file QxTransaction.h.

qx_bool qx::service::QxTransaction::getMessageReturn | ( |  | ) | const`[inline]`

Definition at line 176 of file QxTransaction.h.

IxParameter_ptr qx::service::QxTransaction::getOutputParameter | ( |  | ) | const`[inline]`

Definition at line 178 of file QxTransaction.h.

quint32 qx::service::QxTransaction::getOutputTransactionSize | ( |  | ) | const`[inline]`

Definition at line 163 of file QxTransaction.h.

long qx::service::QxTransaction::getPortSource | ( |  | ) | const`[inline]`

Definition at line 172 of file QxTransaction.h.

long qx::service::QxTransaction::getPortTarget | ( |  | ) | const`[inline]`

Definition at line 173 of file QxTransaction.h.

QString qx::service::QxTransaction::getServiceMethod | ( |  | ) | const`[inline]`

Definition at line 175 of file QxTransaction.h.

QString qx::service::QxTransaction::getServiceName | ( |  | ) | const`[inline]`

Definition at line 174 of file QxTransaction.h.

QDateTime qx::service::QxTransaction::getTransactionBegin | ( |  | ) | const`[inline]`

Definition at line 164 of file QxTransaction.h.

QDateTime qx::service::QxTransaction::getTransactionEnd | ( |  | ) | const`[inline]`

Definition at line 169 of file QxTransaction.h.

QString qx::service::QxTransaction::getTransactionId | ( |  | ) | const`[inline]`

Definition at line 161 of file QxTransaction.h.

QDateTime qx::service::QxTransaction::getTransactionReplyReceived | ( |  | ) | const`[inline]`

Definition at line 168 of file QxTransaction.h.

QDateTime qx::service::QxTransaction::getTransactionReplySent | ( |  | ) | const`[inline]`

Definition at line 167 of file QxTransaction.h.

QDateTime qx::service::QxTransaction::getTransactionRequestReceived | ( |  | ) | const`[inline]`

Definition at line 166 of file QxTransaction.h.

QDateTime qx::service::QxTransaction::getTransactionRequestSent | ( |  | ) | const`[inline]`

Definition at line 165 of file QxTransaction.h.

QSslSocket* qx::service::QxTransaction::initSocketSSL | ( |  | ) | `[protected]`

void qx::service::QxTransaction::onCustomRequestHandler | ( |  | ) | `[signal]`

virtual qx_bool qx::service::QxTransaction::readSocketClient | ( | QTcpSocket & | socket | ) | `[virtual]`

virtual qx_bool qx::service::QxTransaction::readSocketServer | ( | QTcpSocket & | socket | ) | `[virtual]`

Reimplemented in qx::QxHttpTransaction.

void qx::service::QxTransaction::setForceConnectionStatus | ( | connection_status | e | ) | `[inline]`

Definition at line 199 of file QxTransaction.h.

void qx::service::QxTransaction::setInputParameter | ( | IxParameter_ptr | p | ) | `[inline]`

Definition at line 197 of file QxTransaction.h.

void qx::service::QxTransaction::setInputTransactionSize | ( | quint32 | ui | ) | `[inline]`

Definition at line 182 of file QxTransaction.h.

void qx::service::QxTransaction::setIpSource | ( | const QString & | s | ) | `[inline]`

Definition at line 190 of file QxTransaction.h.

void qx::service::QxTransaction::setIpTarget | ( | const QString & | s | ) | `[inline]`

Definition at line 191 of file QxTransaction.h.

void qx::service::QxTransaction::setMessageReturn | ( | const qx_bool & | b | ) | `[inline]`

Definition at line 196 of file QxTransaction.h.

void qx::service::QxTransaction::setOutputParameter | ( | IxParameter_ptr | p | ) | `[inline]`

Definition at line 198 of file QxTransaction.h.

void qx::service::QxTransaction::setOutputTransactionSize | ( | quint32 | ui | ) | `[inline]`

Definition at line 183 of file QxTransaction.h.

void qx::service::QxTransaction::setPortSource | ( | long | l | ) | `[inline]`

Definition at line 192 of file QxTransaction.h.

void qx::service::QxTransaction::setPortTarget | ( | long | l | ) | `[inline]`

Definition at line 193 of file QxTransaction.h.

void qx::service::QxTransaction::setServiceMethod | ( | const QString & | s | ) | `[inline]`

Definition at line 195 of file QxTransaction.h.

void qx::service::QxTransaction::setServiceName | ( | const QString & | s | ) | `[inline]`

Definition at line 194 of file QxTransaction.h.

void qx::service::QxTransaction::setTransactionBegin | ( | const QDateTime & | dt | ) | `[inline]`

Definition at line 184 of file QxTransaction.h.

void qx::service::QxTransaction::setTransactionEnd | ( | const QDateTime & | dt | ) | `[inline]`

Definition at line 189 of file QxTransaction.h.

void qx::service::QxTransaction::setTransactionId | ( | const QString & | s | ) | `[inline]`

Definition at line 181 of file QxTransaction.h.

void qx::service::QxTransaction::setTransactionReplyReceived | ( | const QDateTime & | dt | ) | `[inline]`

Definition at line 188 of file QxTransaction.h.

void qx::service::QxTransaction::setTransactionReplySent | ( | const QDateTime & | dt | ) | `[inline]`

Definition at line 187 of file QxTransaction.h.

void qx::service::QxTransaction::setTransactionRequestReceived | ( | const QDateTime & | dt | ) | `[inline]`

Definition at line 186 of file QxTransaction.h.

void qx::service::QxTransaction::setTransactionRequestSent | ( | const QDateTime & | dt | ) | `[inline]`

Definition at line 185 of file QxTransaction.h.

virtual qx_bool qx::service::QxTransaction::writeSocketClient | ( | QTcpSocket & | socket | ) | `[virtual]`

virtual qx_bool qx::service::QxTransaction::writeSocketServer | ( | QTcpSocket & | socket | ) | `[virtual]`

Reimplemented in qx::QxHttpTransaction.

## Friends And Related Function Documentation

QX_DLL_EXPORT QDataStream& operator<< | ( | QDataStream & | stream,
|  | const qx::service::QxTransaction & | t
| ) |  | `[friend]`

QX_DLL_EXPORT QDataStream& operator>> | ( | QDataStream & | stream,
|  | qx::service::QxTransaction & | t
| ) |  | `[friend]`

friend struct qx::cvt::detail::QxConvert_FromJson< qx::service::QxTransaction >`[friend]`

Definition at line 123 of file QxTransaction.h.

QX_DLL_EXPORT qx_bool qx::cvt::detail::QxConvert_FromJson_Helper | ( | const QJsonValue & | j,
|  | qx::service::QxTransaction & | t,
|  | const QString & | format
| ) |  | `[friend]`

friend struct qx::cvt::detail::QxConvert_ToJson< qx::service::QxTransaction >`[friend]`

Definition at line 122 of file QxTransaction.h.

QX_DLL_EXPORT QJsonValue qx::cvt::detail::QxConvert_ToJson_Helper | ( | const qx::service::QxTransaction & | t,
|  | const QString & | format
| ) |  | `[friend]`

## Member Data Documentation

qx_bool qx::service::QxTransaction::m_bMessageReturn`[protected]`

Message return to indicate if an error occured.

Definition at line 149 of file QxTransaction.h.

QDateTime qx::service::QxTransaction::m_dtTransactionBegin`[protected]`

Date-time transaction begin.

Definition at line 137 of file QxTransaction.h.

QDateTime qx::service::QxTransaction::m_dtTransactionEnd`[protected]`

Date-time transaction end.

Definition at line 142 of file QxTransaction.h.

QDateTime qx::service::QxTransaction::m_dtTransactionReplyReceived`[protected]`

Date-time transaction reply received.

Definition at line 141 of file QxTransaction.h.

QDateTime qx::service::QxTransaction::m_dtTransactionReplySent`[protected]`

Date-time transaction reply sent.

Definition at line 140 of file QxTransaction.h.

QDateTime qx::service::QxTransaction::m_dtTransactionRequestReceived`[protected]`

Date-time transaction request received.

Definition at line 139 of file QxTransaction.h.

QDateTime qx::service::QxTransaction::m_dtTransactionRequestSent`[protected]`

Date-time transaction request sent.

Definition at line 138 of file QxTransaction.h.

connection_status qx::service::QxTransaction::m_eForceConnectionStatus`[protected]`

Sometimes we have to force connection status.

Definition at line 153 of file QxTransaction.h.

long qx::service::QxTransaction::m_lPortSource`[protected]`

Port number source (request)

Definition at line 145 of file QxTransaction.h.

long qx::service::QxTransaction::m_lPortTarget`[protected]`

Port number target (reply)

Definition at line 146 of file QxTransaction.h.

IxParameter_ptr qx::service::QxTransaction::m_pInputParameter`[protected]`

List of input parameters (request)

Definition at line 150 of file QxTransaction.h.

IxParameter_ptr qx::service::QxTransaction::m_pOutputParameter`[protected]`

List of output parameters (reply)

Definition at line 151 of file QxTransaction.h.

IxService_ptr qx::service::QxTransaction::m_pServiceInstance`[protected]`

Service instance created by 'm_sServiceName' property.

Definition at line 152 of file QxTransaction.h.

QString qx::service::QxTransaction::m_sIpSource`[protected]`

Ip address source (request)

Definition at line 143 of file QxTransaction.h.

QString qx::service::QxTransaction::m_sIpTarget`[protected]`

Ip address target (reply)

Definition at line 144 of file QxTransaction.h.

QString qx::service::QxTransaction::m_sServiceMethod`[protected]`

Service method to call to execute transaction.

Definition at line 148 of file QxTransaction.h.

QString qx::service::QxTransaction::m_sServiceName`[protected]`

Service name to create using 'QxFactory'.

Definition at line 147 of file QxTransaction.h.

QString qx::service::QxTransaction::m_sTransactionId`[protected]`

Transaction id (GUID)

Definition at line 134 of file QxTransaction.h.

quint32 qx::service::QxTransaction::m_uiInputTransactionSize`[protected]`

Input transaction size.

Definition at line 135 of file QxTransaction.h.

quint32 qx::service::QxTransaction::m_uiOutputTransactionSize`[protected]`

Output transaction size.

Definition at line 136 of file QxTransaction.h.

The documentation for this class was generated from the following file:

- C:/Dvlp/_Perso/QxOrm/include/QxService/QxTransaction.h